# Find if we installed kdebase/workspaces.
# Once done this will define
#
#  KDE4WORKSPACE_FOUND - system has KDE workspace installed
#  KDE4WORKSPACE_INCLUDE_DIR - the KDE workspace include directory
#
# It also sets variables for the following libraries:
#   KDE4WORKSPACE_TASKMANAGER_LIBRARY, KDE4WORKSPACE_TASKMANAGER_LIBS
#   KDE4WORKSPACE_KWORKSPACE_LIBRARY, KDE4WORKSPACE_KWORKSPACE_LIBS
#   KDE4WORKSPACE_SOLIDCONTROLIFACES_LIBRARY, KDE4WORKSPACE_SOLIDCONTROLIFACES_LIBS
#   KDE4WORKSPACE_SOLIDCONTROL_LIBRARY, KDE4WORKSPACE_SOLIDCONTROL_LIBS
#   KDE4WORKSPACE_PROCESSUI_LIBRARY, KDE4WORKSPACE_PROCESSUI_LIBS
#   KDE4WORKSPACE_LSOFUI_LIBRARY, KDE4WORKSPACE_LSOFUI_LIBS
#   KDE4WORKSPACE_PLASMACLOCK_LIBRARY, KDE4WORKSPACE_PLASMACLOCK_LIBS
#   KDE4WORKSPACE_NEPOMUKQUERYCLIENT_LIBRARY, KDE4WORKSPACE_NEPOMUKQUERYCLIENT_LIBS
#   KDE4WORKSPACE_NEPOMUKQUERY_LIBRARY, KDE4WORKSPACE_NEPOMUKQUERY_LIBS
#   KDE4WORKSPACE_KSCREENSAVER_LIBRARY, KDE4WORKSPACE_KSCREENSAVER_LIBS
#   KDE4WORKSPACE_WEATHERION_LIBRARY, KDE4WORKSPACE_WEATHERION_LIBS
#   KDE4WORKSPACE_KWINEFFECTS_LIBRARY, KDE4WORKSPACE_KWINEFFECTS_LIBS
#   KDE4WORKSPACE_KDECORATIONS_LIBRARY, KDE4WORKSPACE_KDECORATIONS_LIBS
#   KDE4WORKSPACE_KSGRD_LIBRARY, KDE4WORKSPACE_KSGRD_LIBS
#   KDE4WORKSPACE_KEPHAL_LIBRARY, KDE4WORKSPACE_KEPHAL_LIBS
#
# And the following locations:
#   KDE4WORKSPACE_LIB_DIR
#   KDE4WORKSPACE_LIBEXEC_DIR
#   KDE4WORKSPACE_INCLUDE_DIR
#   KDE4WORKSPACE_BIN_DIR
#   KDE4WORKSPACE_SBIN_DIR
#   KDE4WORKSPACE_DATA_DIR
#   KDE4WORKSPACE_HTML_DIR
#   KDE4WORKSPACE_CONFIG_DIR
#   KDE4WORKSPACE_ICON_DIR
#   KDE4WORKSPACE_KCFG_DIR
#   KDE4WORKSPACE_LOCALE_DIR
#   KDE4WORKSPACE_MIME_DIR
#   KDE4WORKSPACE_SOUND_DIR
#   KDE4WORKSPACE_TEMPLATES_DIR
#   KDE4WORKSPACE_WALLPAPER_DIR
#   KDE4WORKSPACE_KCONF_UPDATE_DIR
#   KDE4WORKSPACE_AUTOSTART_DIR
#   KDE4WORKSPACE_XDG_APPS_DIR
#   KDE4WORKSPACE_XDG_DIRECTORY_DIR
#   KDE4WORKSPACE_SYSCONF_DIR
#   KDE4WORKSPACE_MAN_DIR
#   KDE4WORKSPACE_INFO_DIR
#   KDE4WORKSPACE_DBUS_INTERFACES_DIR
#   KDE4WORKSPACE_DBUS_SERVICES_DIR
#   KDE4WORKSPACE_SERVICES_DIR
#   KDE4WORKSPACE_SERVICETYPES_DIR

# Copyright (c) 2008, Alexander Neundorf, <neundorf@kde.org>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

# The find_package() call below loads the file KDE4WorkspaceConfig.cmake file.
# This file is created and installed by kdebase/workspace/CMakeLists.txt
# It contains settings for all install location of kdebase/workspace, as e.g.
# KDE4WORKSPACE_INCLUDE_DIR, and also variables for all libraries.
# See kdebase/workspace/CMakeLists.txt and kdebase/workspace/KDE4WorkspaceConfig.cmake.in 
# for details. Alex


set(_KDE4Workspace_FIND_QUIETLY  ${KDE4Workspace_FIND_QUIETLY})
find_package(KDE4Workspace QUIET NO_MODULE PATHS ${KDE4_LIB_DIR}/KDE4Workspace/cmake )
set(KDE4Workspace_FIND_QUIETLY ${_KDE4Workspace_FIND_QUIETLY})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(KDE4Workspace DEFAULT_MSG KDE4Workspace_CONFIG )

